summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xlocalgitcowdebuild63
-rwxr-xr-xlocalgitdebuild9
-rwxr-xr-xlocalgitpdebuild56
3 files changed, 128 insertions, 0 deletions
diff --git a/localgitcowdebuild b/localgitcowdebuild
new file mode 100755
index 0000000..cda124c
--- /dev/null
+++ b/localgitcowdebuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+set -e
+
+function showhelp() {
+ echo "Usage: $(basename $0) POOL [debbuildopts] [-- pbuilderopts]"
+ echo ""
+ echo "Example: $(basename $0) sarge_with_hacks -B"
+}
+
+if [ $# -eq 0 ]; then
+ showhelp
+ exit 1
+fi
+
+pools=''
+pdebuildopts=''
+debbuildopts=''
+while [ $# -gt 0 ]; do
+ case $1 in
+ -h|--help)
+ showhelp
+ exit 0
+ ;;
+ --)
+ shift
+ break
+ ;;
+ --*)
+ echo "ERROR: Unknown argument \"$1\"!" &>2
+ showhelp
+ exit 1
+ ;;
+ -*)
+ debbuildopts="$debbuildopts $1"
+ shift
+ ;;
+ *)
+ pools="$pools $1"
+ shift
+ ;;
+ esac
+done
+
+for pool in $pools; do
+ basepath="/var/cache/pbuilder/cow-$pool"
+ buildplace="/var/cache/pbuilder/build-$pool"
+ aptcache="/var/cache/pbuilder/aptcache-$pool/"
+ hookdir="/var/cache/pbuilder/hooks-$pool/"
+ buildresult="$HOME/src/pbuild-$pool/"
+ pdebuild \
+ --pbuilder cowbuilder \
+ --buildresult "$buildresult" \
+ --debbuildopts "-i\.git/ -I.git $debbuildopts" \
+ $pdebuildopts \
+ -- \
+ --basepath "$basepath" \
+ --buildplace "$buildplace" \
+ --aptcache "$aptcache" \
+ --hookdir "$hookdir" \
+ --pkgname-logfile \
+ $@
+done
diff --git a/localgitdebuild b/localgitdebuild
new file mode 100755
index 0000000..983fe3d
--- /dev/null
+++ b/localgitdebuild
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+debuild \
+ --set-envvar=CCACHE_DIR="/var/cache/pbuilder/ccache" \
+ --set-envvar=PATH="/var/cache/pbuilder/bin:/usr/lib/ccache:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11" \
+ -i\.git/ -I.git \
+ "$@"
diff --git a/localgitpdebuild b/localgitpdebuild
new file mode 100755
index 0000000..0154854
--- /dev/null
+++ b/localgitpdebuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+set -e
+
+function showhelp() {
+ echo "Usage: $(basename $0) POOL [debbuildopts] [-- pbuilderopts]"
+ echo ""
+ echo "Example: $(basename $0) sarge_with_hacks -B"
+}
+
+if [ $# -eq 0 ]; then
+ showhelp
+ exit 1
+fi
+
+pools=''
+pdebuildopts=''
+debbuildopts=''
+while [ $# -gt 0 ]; do
+ case $1 in
+ -h|--help)
+ showhelp
+ exit 0
+ ;;
+ --)
+ shift
+ break
+ ;;
+ --*)
+ echo "ERROR: Unknown argument \"$1\"!" &>2
+ showhelp
+ exit 1
+ ;;
+ -*)
+ debbuildopts="$debbuildopts $1"
+ shift
+ ;;
+ *)
+ pools="$pools $1"
+ shift
+ ;;
+ esac
+done
+
+for pool in $pools; do
+ pdebuild \
+ --buildresult $HOME/src/pbuild-$pool/ \
+ --debbuildopts "-i\.git/ -I.git $debbuildopts" \
+ $pdebuildopts \
+ -- \
+ --basetgz /var/cache/pbuilder/base-$pool.tgz \
+ --buildplace /var/cache/pbuilder/build-$pool/ \
+ --aptcache /var/cache/pbuilder/aptcache-$pool/ \
+ --pkgname-logfile \
+ $@
+done